#include<bits/stdc++.h>

using namespace std;
typedef long long ll;

int main(){
	ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
	string s;
	cin>>s;
	int u=1;
	ll l=0,d=s.length()-1;
	while(l++<d--)
        if(s[l]!=s[d])
            u=0;
    if(u==1){
        cout<<"1";
        return 0;
    }

	l=0;
	d=s.length()-1;
	u=1;
	while(u){
        if(s[l]!='b')
            l++;
        if(s[d]!='b')
            d--;
        if(s[d]=='b' && s[l]=='b')
            u=0;

	}
	cout<<min(s.length()-d,s.length()-l-d);


	return 0;
}